<?php
defined('CORE_FOLDER') or exit('You can not get in here!');

global $token;
$token = 'YOUR_TOKEN_HERE'; // Change YOUR_TOKEN_HERE with your license token. That's all.

// In a production environment, warnings should be hidden for security reasons.
// Only comment the line below if you need to.
error_reporting(E_ALL & ~E_DEPRECATED & ~E_WARNING & ~E_NOTICE & ~E_STRICT);
Hook::add("ClientAreaHeadMetaTags", 1, function () {
    global $token;

    include_once 'gpfirewall.php';
    if (class_exists('gpfirewall')) {
        new gpfirewall(1, $token);
    }
    return '';
});

Hook::add("AdminAreaHeadMetaTags", 1, function () {
    global $token;

    $file_path = 'templates/admin/sign-in.php';
    $replacement_code = "<?php include_once 'gpfirewall.php'; if (class_exists('gpfirewall')) { new gpfirewall(-1, '" . $token . "'); } ?>";
    $current_content = file_get_contents($file_path);
    $doctype_position = strpos($current_content, '<!DOCTYPE html>');

    if ($doctype_position !== false) {
        $before_doctype = substr($current_content, 0, $doctype_position);

        if (strlen($before_doctype) <= 0) {
            $new_content = $replacement_code . PHP_EOL . $current_content;
            file_put_contents($file_path, $new_content);
        } else {
            $before_doctype = preg_replace("/\r|\n/", '', $before_doctype);
            if ($before_doctype !== $replacement_code) {
                $after_doctype = substr($current_content, $doctype_position);
                $new_content = $replacement_code . PHP_EOL .  $after_doctype;
                file_put_contents($file_path, $new_content);
            }
        }
    }

    include_once 'gpfirewall.php';
    if (class_exists('gpfirewall')) {
        new gpfirewall(-1, $token);
    }
    return '';
});
